#
# spec file for package python
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global sname cotyledon
Name:           python-%{sname}
Version:        1.5.0
Release:        1.6
Summary:        Cotyledon provides a framework for defining long-running services
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/sileht/cotyledon
Source:         https://pypi.io/packages/source/c/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  python-oslo.config
BuildRequires:  python-oslotest
BuildRequires:  python-pbr
BuildRequires:  python-setproctitle
BuildRequires:  python-testrepository
BuildRequires:  python-testscenarios
BuildRequires:  python-testtools
Requires:       python-setproctitle
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Cotyledon provides a framework for defining long-running services.

%package doc
Summary:        %{summary} - Documentation
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-oslosphinx
Requires:       %{name} = %{version}

%description doc
Cotyledon provides a framework for defining long-running services.

This package contains documentation files for %{name}.

%prep
%setup -q -n %{sname}-%{version}

%build
python setup.py build
python setup.py build_sphinx
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
# Needed to find cotyledon-example
PATH=$PATH:%{buildroot}/usr/bin PYTHONPATH=%{buildroot}%{python_sitelib} python setup.py test

%files
%defattr(-,root,root,-)
%doc ChangeLog README.rst LICENSE
%{python_sitelib}/%{sname}
%{python_sitelib}/*.egg-info

%files doc
%defattr(-,root,root,-)
%doc ChangeLog README.rst LICENSE
%doc doc/build/html

%changelog
* Wed Oct 12 2016 dmueller@suse.com
- update to 1.5.0:
  * Rework the oslo_config_glue
  * Implement sigalarm for servicemanager
  * Allow to register multiple hooks
  * Add on_new_worker hooks
  * Improve tests output and run doc8
  * Tests: fix tests cleanup
  * Remove unused file
  * Improve docs
  * Split code base
  * Allow to register terminate/reload hooks
  * Share signals implementation
  * Allows to reconfigure a service
  * Revert "limit select.select() EINTR exception"
  * Don't wait for reload if terminate/reload already run
  * limit select.select() EINTR exception
  * Handle SIGALRM like other signals
  * set proc title for master process
  * doc: add some clarification
  * Rework signal handlers
  * Fixup code blocks
  * fix sporadic test failure
  * Set default python interpreter version to 3.5
* Fri Jul 15 2016 aplanas@suse.com
- Add initial version (1.2.6) of cotyledon package
